//
// Interface-Datei
//

#define GELB            98
#define GELB_HELL       96
#define GELB_DUNKEL     100
#define BLAU            108
#define BLAU_HELL       106
#define BLAU_DUNKEL     110
#define ROT             148
#define ROT_HELL        236
#define ROT_DUNKEL      144

U1 r=0;


void draw_box ( int x, int y, int x1, int y1, U1 color )
{
  int i;

  if ( x > x1 ) { i=x; x=x1; x1=i; }
  if ( y > y1 ) { i=y; y=y1; y1=i; }

  if ( !GameDel )
  {
    if ( r == 0 ) r = 1;
    else r = 0;
  }

  for ( i=x+r; i<=x1; i+=2 ) { setpix(i, y, color); setpix(i, y1, color); }
  for ( i=y+r; i<=y1; i+=2 ) { setpix(x, i, color); setpix(x1, i, color); }
}


void fill_box ( int x, int y, int x1, int y1, U1 color )
{
  int i;

  for ( i=y; i<=y1; i++ )
  {
    memset(&VScreen[(i*WIDTH)+x], color, x1-x+1);
  }
}


void gbalken ( int x, int y, int lang )
{
  memset(&VScreen[y*WIDTH+x+4],  GELB_HELL, lang-7);                 // obere Linie
  memset(&VScreen[(y+11)*WIDTH+x+4], GELB_DUNKEL, lang-7);           // untere Linie
  // vordere Linie
  setpix(x, y+4, GELB_HELL); setpix(x, y+5, GELB_HELL);
  setpix(x, y+6, GELB_HELL); setpix(x, y+7, GELB_HELL);

  // hintere Linie
  setpix(x+lang, y+4, GELB_DUNKEL); setpix(x+lang, y+5, GELB_DUNKEL);
  setpix(x+lang, y+6, GELB_DUNKEL); setpix(x+lang, y+7, GELB_DUNKEL);


  // Schrge Linien vorne
  setpix(x+1, y+3,  GELB_HELL); setpix(x+2, y+2,  GELB_HELL); setpix(x+3, y+1,  GELB_HELL);
  setpix(x+1, y+8, GELB_DUNKEL); setpix(x+2, y+9, GELB_DUNKEL); setpix(x+3, y+10, GELB_DUNKEL);

  // Schrge Linien hinten
  setpix(x+lang-1, y+3,  GELB_HELL); setpix(x+lang-2, y+2,  GELB_HELL); setpix(x+lang-3, y+1,  GELB_HELL);
  setpix(x+lang-1, y+8, GELB_DUNKEL); setpix(x+lang-2, y+9, GELB_DUNKEL); setpix(x+lang-3, y+10, GELB_DUNKEL);

  fill_box(x+4, y+1, x+lang-4, y+10, GELB);
  setpix(x+1, y+4, GELB); setpix(x+1, y+5, GELB); setpix(x+1, y+6, GELB); setpix(x+1, y+7, GELB);
  setpix(x+2, y+3, GELB); setpix(x+2, y+4, GELB); setpix(x+2, y+5, GELB);
  setpix(x+2, y+6, GELB); setpix(x+2, y+7, GELB); setpix(x+2, y+8, GELB);
  setpix(x+3, y+2, GELB); setpix(x+3, y+3, GELB); setpix(x+3, y+4, GELB);
  setpix(x+3, y+5, GELB); setpix(x+3, y+6, GELB); setpix(x+3, y+7, GELB);
  setpix(x+3, y+8, GELB); setpix(x+3, y+9, GELB);

  setpix(x+lang-1, y+4, GELB); setpix(x+lang-1, y+5, GELB); setpix(x+lang-1, y+6, GELB); setpix(x+lang-1, y+7, GELB);
  setpix(x+lang-2, y+3, GELB); setpix(x+lang-2, y+4, GELB); setpix(x+lang-2, y+5, GELB);
  setpix(x+lang-2, y+6, GELB); setpix(x+lang-2, y+7, GELB); setpix(x+lang-2, y+8, GELB);
  setpix(x+lang-3, y+2, GELB); setpix(x+lang-3, y+3, GELB); setpix(x+lang-3, y+4, GELB);
  setpix(x+lang-3, y+5, GELB); setpix(x+lang-3, y+6, GELB); setpix(x+lang-3, y+7, GELB);
  setpix(x+lang-3, y+8, GELB); setpix(x+lang-3, y+9, GELB);
}


void gbalken_links ( int x, int y, int lang )
{
  memset(&VScreen[y*WIDTH+x+4],  GELB_HELL, lang-3);                 // obere Linie
  memset(&VScreen[(y+11)*WIDTH+x+4], GELB_DUNKEL, lang-3);           // untere Linie
  // vordere Linie
  setpix(x, y+4, GELB_HELL); setpix(x, y+5, GELB_HELL);
  setpix(x, y+6, GELB_HELL); setpix(x, y+7, GELB_HELL);

  // hintere Linie
  setpix(x+lang, y+1, GELB_DUNKEL); setpix(x+lang, y+2, GELB_DUNKEL); setpix(x+lang, y+3, GELB_DUNKEL);
  setpix(x+lang, y+4, GELB_DUNKEL); setpix(x+lang, y+5, GELB_DUNKEL); setpix(x+lang, y+6, GELB_DUNKEL);
  setpix(x+lang, y+7, GELB_DUNKEL); setpix(x+lang, y+8, GELB_DUNKEL); setpix(x+lang, y+9, GELB_DUNKEL);
  setpix(x+lang, y+10, GELB_DUNKEL);

  // Schrge Linien vorne
  setpix(x+1, y+3,  GELB_HELL); setpix(x+2, y+2,  GELB_HELL); setpix(x+3, y+1,  GELB_HELL);
  setpix(x+1, y+8, GELB_DUNKEL); setpix(x+2, y+9, GELB_DUNKEL); setpix(x+3, y+10, GELB_DUNKEL);

  fill_box(x+4, y+1, x+lang-1, y+10, GELB);
  setpix(x+1, y+4, GELB); setpix(x+1, y+5, GELB); setpix(x+1, y+6, GELB); setpix(x+1, y+7, GELB);
  setpix(x+2, y+3, GELB); setpix(x+2, y+4, GELB); setpix(x+2, y+5, GELB);
  setpix(x+2, y+6, GELB); setpix(x+2, y+7, GELB); setpix(x+2, y+8, GELB);
  setpix(x+3, y+2, GELB); setpix(x+3, y+3, GELB); setpix(x+3, y+4, GELB);
  setpix(x+3, y+5, GELB); setpix(x+3, y+6, GELB); setpix(x+3, y+7, GELB);
  setpix(x+3, y+8, GELB); setpix(x+3, y+9, GELB);
}


void gbalken_rechts ( int x, int y, int lang )
{
  memset(&VScreen[y*WIDTH+x],  GELB_HELL, lang-3);                 // obere Linie
  memset(&VScreen[(y+11)*WIDTH+x], GELB_DUNKEL, lang-3);           // untere Linie
  // vordere Linie
  setpix(x, y+1, GELB_HELL); setpix(x, y+2, GELB_HELL); setpix(x, y+3, GELB_HELL);
  setpix(x, y+4, GELB_HELL); setpix(x, y+5, GELB_HELL); setpix(x, y+6, GELB_HELL);
  setpix(x, y+7, GELB_HELL); setpix(x, y+8, GELB_HELL); setpix(x, y+9, GELB_HELL);
  setpix(x, y+10, GELB_HELL);

  // hintere Linie
  setpix(x+lang, y+4, GELB_DUNKEL); setpix(x+lang, y+5, GELB_DUNKEL);
  setpix(x+lang, y+6, GELB_DUNKEL); setpix(x+lang, y+7, GELB_DUNKEL);


  // Schrge Linien hinten
  setpix(x+lang-1, y+3,  GELB_HELL); setpix(x+lang-2, y+2,  GELB_HELL); setpix(x+lang-3, y+1,  GELB_HELL);
  setpix(x+lang-1, y+8, GELB_DUNKEL); setpix(x+lang-2, y+9, GELB_DUNKEL); setpix(x+lang-3, y+10, GELB_DUNKEL);

  fill_box(x+1, y+1, x+lang-4, y+10, GELB);
  setpix(x+lang-1, y+4, GELB); setpix(x+lang-1, y+5, GELB); setpix(x+lang-1, y+6, GELB); setpix(x+lang-1, y+7, GELB);
  setpix(x+lang-2, y+3, GELB); setpix(x+lang-2, y+4, GELB); setpix(x+lang-2, y+5, GELB);
  setpix(x+lang-2, y+6, GELB); setpix(x+lang-2, y+7, GELB); setpix(x+lang-2, y+8, GELB);
  setpix(x+lang-3, y+2, GELB); setpix(x+lang-3, y+3, GELB); setpix(x+lang-3, y+4, GELB);
  setpix(x+lang-3, y+5, GELB); setpix(x+lang-3, y+6, GELB); setpix(x+lang-3, y+7, GELB);
  setpix(x+lang-3, y+8, GELB); setpix(x+lang-3, y+9, GELB);
}



void bbalken ( int x, int y, int lang )
{
  memset(&VScreen[y*WIDTH+x+4],  BLAU_HELL, lang-7);                 // obere Linie
  memset(&VScreen[(y+11)*WIDTH+x+4], BLAU_DUNKEL, lang-7);           // untere Linie
  // vordere Linie
  setpix(x, y+4, BLAU_HELL); setpix(x, y+5, BLAU_HELL);
  setpix(x, y+6, BLAU_HELL); setpix(x, y+7, BLAU_HELL);

  // hintere Linie
  setpix(x+lang, y+4, BLAU_DUNKEL); setpix(x+lang, y+5, BLAU_DUNKEL);
  setpix(x+lang, y+6, BLAU_DUNKEL); setpix(x+lang, y+7, BLAU_DUNKEL);


  // Schrge Linien vorne
  setpix(x+1, y+3,  BLAU_HELL); setpix(x+2, y+2,  BLAU_HELL); setpix(x+3, y+1,  BLAU_HELL);
  setpix(x+1, y+8, BLAU_DUNKEL); setpix(x+2, y+9, BLAU_DUNKEL); setpix(x+3, y+10, BLAU_DUNKEL);

  // Schrge Linien hinten
  setpix(x+lang-1, y+3,  BLAU_HELL); setpix(x+lang-2, y+2,  BLAU_HELL); setpix(x+lang-3, y+1,  BLAU_HELL);
  setpix(x+lang-1, y+8, BLAU_DUNKEL); setpix(x+lang-2, y+9, BLAU_DUNKEL); setpix(x+lang-3, y+10, BLAU_DUNKEL);

  fill_box(x+4, y+1, x+lang-4, y+10, BLAU);
  setpix(x+1, y+4, BLAU); setpix(x+1, y+5, BLAU); setpix(x+1, y+6, BLAU); setpix(x+1, y+7, BLAU);
  setpix(x+2, y+3, BLAU); setpix(x+2, y+4, BLAU); setpix(x+2, y+5, BLAU);
  setpix(x+2, y+6, BLAU); setpix(x+2, y+7, BLAU); setpix(x+2, y+8, BLAU);
  setpix(x+3, y+2, BLAU); setpix(x+3, y+3, BLAU); setpix(x+3, y+4, BLAU);
  setpix(x+3, y+5, BLAU); setpix(x+3, y+6, BLAU); setpix(x+3, y+7, BLAU);
  setpix(x+3, y+8, BLAU); setpix(x+3, y+9, BLAU);

  setpix(x+lang-1, y+4, BLAU); setpix(x+lang-1, y+5, BLAU); setpix(x+lang-1, y+6, BLAU); setpix(x+lang-1, y+7, BLAU);
  setpix(x+lang-2, y+3, BLAU); setpix(x+lang-2, y+4, BLAU); setpix(x+lang-2, y+5, BLAU);
  setpix(x+lang-2, y+6, BLAU); setpix(x+lang-2, y+7, BLAU); setpix(x+lang-2, y+8, BLAU);
  setpix(x+lang-3, y+2, BLAU); setpix(x+lang-3, y+3, BLAU); setpix(x+lang-3, y+4, BLAU);
  setpix(x+lang-3, y+5, BLAU); setpix(x+lang-3, y+6, BLAU); setpix(x+lang-3, y+7, BLAU);
  setpix(x+lang-3, y+8, BLAU); setpix(x+lang-3, y+9, BLAU);
}


void bbalken_links ( int x, int y, int lang )
{
  memset(&VScreen[y*WIDTH+x+4],  BLAU_HELL, lang-3);                 // obere Linie
  memset(&VScreen[(y+11)*WIDTH+x+4], BLAU_DUNKEL, lang-3);           // untere Linie
  // vordere Linie
  setpix(x, y+4, BLAU_HELL); setpix(x, y+5, BLAU_HELL);
  setpix(x, y+6, BLAU_HELL); setpix(x, y+7, BLAU_HELL);

  // hintere Linie
  setpix(x+lang, y+1, BLAU_DUNKEL); setpix(x+lang, y+2, BLAU_DUNKEL); setpix(x+lang, y+3, BLAU_DUNKEL);
  setpix(x+lang, y+4, BLAU_DUNKEL); setpix(x+lang, y+5, BLAU_DUNKEL); setpix(x+lang, y+6, BLAU_DUNKEL);
  setpix(x+lang, y+7, BLAU_DUNKEL); setpix(x+lang, y+8, BLAU_DUNKEL); setpix(x+lang, y+9, BLAU_DUNKEL);


  // Schrge Linien vorne
  setpix(x+1, y+3,  BLAU_HELL); setpix(x+2, y+2,  BLAU_HELL); setpix(x+3, y+1,  BLAU_HELL);
  setpix(x+1, y+8, BLAU_DUNKEL); setpix(x+2, y+9, BLAU_DUNKEL); setpix(x+3, y+10, BLAU_DUNKEL);

  fill_box(x+4, y+1, x+lang-1, y+10, BLAU);
  setpix(x+1, y+4, BLAU); setpix(x+1, y+5, BLAU); setpix(x+1, y+6, BLAU); setpix(x+1, y+7, BLAU);
  setpix(x+2, y+3, BLAU); setpix(x+2, y+4, BLAU); setpix(x+2, y+5, BLAU);
  setpix(x+2, y+6, BLAU); setpix(x+2, y+7, BLAU); setpix(x+2, y+8, BLAU);
  setpix(x+3, y+2, BLAU); setpix(x+3, y+3, BLAU); setpix(x+3, y+4, BLAU);
  setpix(x+3, y+5, BLAU); setpix(x+3, y+6, BLAU); setpix(x+3, y+7, BLAU);
  setpix(x+3, y+8, BLAU); setpix(x+3, y+9, BLAU);
}


void bbalken_rechts ( int x, int y, int lang )
{
  memset(&VScreen[y*WIDTH+x],  BLAU_HELL, lang-3);                 // obere Linie
  memset(&VScreen[(y+11)*WIDTH+x], BLAU_DUNKEL, lang-3);           // untere Linie
  // vordere Linie
  setpix(x, y+1, BLAU_HELL); setpix(x, y+2, BLAU_HELL); setpix(x, y+3, BLAU_HELL);
  setpix(x, y+4, BLAU_HELL); setpix(x, y+5, BLAU_HELL); setpix(x, y+6, BLAU_HELL);
  setpix(x, y+7, BLAU_HELL); setpix(x, y+8, BLAU_HELL); setpix(x, y+9, BLAU_HELL);

  // hintere Linie
  setpix(x+lang, y+4, BLAU_DUNKEL); setpix(x+lang, y+5, BLAU_DUNKEL);
  setpix(x+lang, y+6, BLAU_DUNKEL); setpix(x+lang, y+7, BLAU_DUNKEL);


  // Schrge Linien hinten
  setpix(x+lang-1, y+3,  BLAU_HELL); setpix(x+lang-2, y+2,  BLAU_HELL); setpix(x+lang-3, y+1,  BLAU_HELL);
  setpix(x+lang-1, y+8, BLAU_DUNKEL); setpix(x+lang-2, y+9, BLAU_DUNKEL); setpix(x+lang-3, y+10, BLAU_DUNKEL);

  fill_box(x+1, y+1, x+lang-4, y+10, BLAU);
  setpix(x+lang-1, y+4, BLAU); setpix(x+lang-1, y+5, BLAU); setpix(x+lang-1, y+6, BLAU); setpix(x+lang-1, y+7, BLAU);
  setpix(x+lang-2, y+3, BLAU); setpix(x+lang-2, y+4, BLAU); setpix(x+lang-2, y+5, BLAU);
  setpix(x+lang-2, y+6, BLAU); setpix(x+lang-2, y+7, BLAU); setpix(x+lang-2, y+8, BLAU);
  setpix(x+lang-3, y+2, BLAU); setpix(x+lang-3, y+3, BLAU); setpix(x+lang-3, y+4, BLAU);
  setpix(x+lang-3, y+5, BLAU); setpix(x+lang-3, y+6, BLAU); setpix(x+lang-3, y+7, BLAU);
  setpix(x+lang-3, y+8, BLAU); setpix(x+lang-3, y+9, BLAU);
}

//--------------------------------------------------------------------------//

void gbalken_offen ( int x, int y, int lang )
{
  memset(&VScreen[y*WIDTH+x+4],  GELB_HELL, lang-7);                 // obere Linie
  memset(&VScreen[(y+1)*WIDTH+x+4],  GELB_DUNKEL, lang-7);                 // obere Linie
  memset(&VScreen[(y+11)*WIDTH+x+4], GELB_DUNKEL, lang-7);           // untere Linie
  memset(&VScreen[(y+10)*WIDTH+x+4], GELB_HELL, lang-7);           // untere Linie
  // vordere Linie
  setpix(x, y+4, GELB_HELL); setpix(x, y+5, GELB_HELL);
  setpix(x, y+6, GELB_HELL); setpix(x, y+7, GELB_HELL);

  // hintere Linie
  setpix(x+lang, y+4, GELB_DUNKEL); setpix(x+lang, y+5, GELB_DUNKEL);
  setpix(x+lang, y+6, GELB_DUNKEL); setpix(x+lang, y+7, GELB_DUNKEL);


  // Schrge Linien vorne
  setpix(x+1, y+3,  GELB_HELL); setpix(x+2, y+2,  GELB_HELL); setpix(x+3, y+1,  GELB_HELL);
  setpix(x+1, y+8, GELB_DUNKEL); setpix(x+2, y+9, GELB_DUNKEL); setpix(x+3, y+10, GELB_DUNKEL);

  // Schrge Linien hinten
  setpix(x+lang-1, y+3,  GELB_HELL); setpix(x+lang-2, y+2,  GELB_HELL); setpix(x+lang-3, y+1,  GELB_HELL);
  setpix(x+lang-1, y+8, GELB_DUNKEL); setpix(x+lang-2, y+9, GELB_DUNKEL); setpix(x+lang-3, y+10, GELB_DUNKEL);

  setpix(x+1, y+4, GELB); setpix(x+1, y+5, GELB); setpix(x+1, y+6, GELB); setpix(x+1, y+7, GELB);
  setpix(x+2, y+3, GELB); setpix(x+2, y+4, GELB); setpix(x+2, y+5, GELB);
   setpix(x+2, y+6, GELB); setpix(x+2, y+7, GELB); setpix(x+2, y+8, GELB);
  setpix(x+3, y+2, GELB); setpix(x+3, y+3, GELB); setpix(x+3, y+4, GELB);
   setpix(x+3, y+5, GELB); setpix(x+3, y+6, GELB); setpix(x+3, y+7, GELB);
   setpix(x+3, y+8, GELB); setpix(x+3, y+9, GELB);

  setpix(x+lang-1, y+4, GELB); setpix(x+lang-1, y+5, GELB); setpix(x+lang-1, y+6, GELB); setpix(x+lang-1, y+7, GELB);
  setpix(x+lang-2, y+3, GELB); setpix(x+lang-2, y+4, GELB); setpix(x+lang-2, y+5, GELB);
   setpix(x+lang-2, y+6, GELB); setpix(x+lang-2, y+7, GELB); setpix(x+lang-2, y+8, GELB);
  setpix(x+lang-3, y+2, GELB); setpix(x+lang-3, y+3, GELB); setpix(x+lang-3, y+4, GELB);
   setpix(x+lang-3, y+5, GELB); setpix(x+lang-3, y+6, GELB); setpix(x+lang-3, y+7, GELB);
   setpix(x+lang-3, y+8, GELB); setpix(x+lang-3, y+9, GELB);
}


void gbalken_offen_links ( int x, int y, int lang )
{
  memset(&VScreen[y*WIDTH+x+4],  GELB_HELL, lang-3);                 // obere Linie
  memset(&VScreen[(y+1)*WIDTH+x+4],  GELB_DUNKEL, lang-3);                 // obere Linie
  memset(&VScreen[(y+11)*WIDTH+x+4], GELB_DUNKEL, lang-3);           // untere Linie
  memset(&VScreen[(y+10)*WIDTH+x+4], GELB_HELL, lang-3);           // untere Linie
  // vordere Linie
  setpix(x, y+4, GELB_HELL); setpix(x, y+5, GELB_HELL);
  setpix(x, y+6, GELB_HELL); setpix(x, y+7, GELB_HELL);

  // hintere Linie
  setpix(x+lang, y+1, GELB_DUNKEL); setpix(x+lang, y+2, GELB_DUNKEL); setpix(x+lang, y+3, GELB_DUNKEL);
  setpix(x+lang, y+4, GELB_DUNKEL); setpix(x+lang, y+5, GELB_DUNKEL); setpix(x+lang, y+6, GELB_DUNKEL);
  setpix(x+lang, y+7, GELB_DUNKEL); setpix(x+lang, y+8, GELB_DUNKEL); setpix(x+lang, y+9, GELB_DUNKEL);
  setpix(x+lang, y+10, GELB_DUNKEL); 


  // Schrge Linien vorne
  setpix(x+1, y+3,  GELB_HELL); setpix(x+2, y+2,  GELB_HELL); setpix(x+3, y+1,  GELB_HELL);
  setpix(x+1, y+8, GELB_DUNKEL); setpix(x+2, y+9, GELB_DUNKEL); setpix(x+3, y+10, GELB_DUNKEL);

  setpix(x+1, y+4, GELB); setpix(x+1, y+5, GELB); setpix(x+1, y+6, GELB); setpix(x+1, y+7, GELB);
  setpix(x+2, y+3, GELB); setpix(x+2, y+4, GELB); setpix(x+2, y+5, GELB);
  setpix(x+2, y+6, GELB); setpix(x+2, y+7, GELB); setpix(x+2, y+8, GELB);
  setpix(x+3, y+2, GELB); setpix(x+3, y+3, GELB); setpix(x+3, y+4, GELB);
  setpix(x+3, y+5, GELB); setpix(x+3, y+6, GELB); setpix(x+3, y+7, GELB);
  setpix(x+3, y+8, GELB); setpix(x+3, y+9, GELB);
}


void gbalken_offen_rechts ( int x, int y, int lang )
{
  memset(&VScreen[y*WIDTH+x],  GELB_HELL, lang-3);                 // obere Linie
  memset(&VScreen[(y+1)*WIDTH+x],  GELB_DUNKEL, lang-3);                 // obere Linie
  memset(&VScreen[(y+11)*WIDTH+x], GELB_DUNKEL, lang-3);           // untere Linie
  memset(&VScreen[(y+10)*WIDTH+x], GELB_HELL, lang-3);           // untere Linie
  // vordere Linie
  setpix(x, y+1, GELB_HELL); setpix(x, y+2, GELB_HELL); setpix(x, y+3, GELB_HELL);
  setpix(x, y+4, GELB_HELL); setpix(x, y+5, GELB_HELL); setpix(x, y+6, GELB_HELL);
  setpix(x, y+7, GELB_HELL); setpix(x, y+8, GELB_HELL); setpix(x, y+9, GELB_HELL);
  setpix(x, y+10, GELB_HELL);

  // hintere Linie
  setpix(x+lang, y+4, GELB_DUNKEL); setpix(x+lang, y+5, GELB_DUNKEL);
  setpix(x+lang, y+6, GELB_DUNKEL); setpix(x+lang, y+7, GELB_DUNKEL);


  // Schrge Linien hinten
  setpix(x+lang-1, y+3,  GELB_HELL); setpix(x+lang-2, y+2,  GELB_HELL); setpix(x+lang-3, y+1,  GELB_HELL);
  setpix(x+lang-1, y+8, GELB_DUNKEL); setpix(x+lang-2, y+9, GELB_DUNKEL); setpix(x+lang-3, y+10, GELB_DUNKEL);

  setpix(x+lang-1, y+4, GELB); setpix(x+lang-1, y+5, GELB); setpix(x+lang-1, y+6, GELB); setpix(x+lang-1, y+7, GELB);
  setpix(x+lang-2, y+3, GELB); setpix(x+lang-2, y+4, GELB); setpix(x+lang-2, y+5, GELB);
  setpix(x+lang-2, y+6, GELB); setpix(x+lang-2, y+7, GELB); setpix(x+lang-2, y+8, GELB);
  setpix(x+lang-3, y+2, GELB); setpix(x+lang-3, y+3, GELB); setpix(x+lang-3, y+4, GELB);
  setpix(x+lang-3, y+5, GELB); setpix(x+lang-3, y+6, GELB); setpix(x+lang-3, y+7, GELB);
  setpix(x+lang-3, y+8, GELB); setpix(x+lang-3, y+9, GELB);
}


//--------------------------------------------------------------------------//


void bbalken_offen ( int x, int y, int lang )
{
  memset(&VScreen[y*WIDTH+x+4],  BLAU_HELL, lang-7);                 // obere Linie
  memset(&VScreen[(y+1)*WIDTH+x+4],  BLAU_DUNKEL, lang-7);                 // obere Linie
  memset(&VScreen[(y+11)*WIDTH+x+4], BLAU_DUNKEL, lang-7);           // untere Linie
  memset(&VScreen[(y+10)*WIDTH+x+4], BLAU_HELL, lang-7);           // untere Linie
  // vordere Linie
  setpix(x, y+4, BLAU_HELL); setpix(x, y+5, BLAU_HELL);
  setpix(x, y+6, BLAU_HELL); setpix(x, y+7, BLAU_HELL);

  // hintere Linie
  setpix(x+lang, y+4, BLAU_DUNKEL); setpix(x+lang, y+5, BLAU_DUNKEL);
  setpix(x+lang, y+6, BLAU_DUNKEL); setpix(x+lang, y+7, BLAU_DUNKEL);


  // Schrge Linien vorne
  setpix(x+1, y+3,  BLAU_HELL); setpix(x+2, y+2,  BLAU_HELL); setpix(x+3, y+1,  BLAU_HELL);
  setpix(x+1, y+8, BLAU_DUNKEL); setpix(x+2, y+9, BLAU_DUNKEL); setpix(x+3, y+10, BLAU_DUNKEL);

  // Schrge Linien hinten
  setpix(x+lang-1, y+3,  BLAU_HELL); setpix(x+lang-2, y+2,  BLAU_HELL); setpix(x+lang-3, y+1,  BLAU_HELL);
  setpix(x+lang-1, y+8, BLAU_DUNKEL); setpix(x+lang-2, y+9, BLAU_DUNKEL); setpix(x+lang-3, y+10, BLAU_DUNKEL);

  setpix(x+1, y+4, BLAU); setpix(x+1, y+5, BLAU); setpix(x+1, y+6, BLAU); setpix(x+1, y+7, BLAU);
  setpix(x+2, y+3, BLAU); setpix(x+2, y+4, BLAU); setpix(x+2, y+5, BLAU);
  setpix(x+2, y+6, BLAU); setpix(x+2, y+7, BLAU); setpix(x+2, y+8, BLAU);
  setpix(x+3, y+2, BLAU); setpix(x+3, y+3, BLAU); setpix(x+3, y+4, BLAU);
  setpix(x+3, y+5, BLAU); setpix(x+3, y+6, BLAU); setpix(x+3, y+7, BLAU);
  setpix(x+3, y+8, BLAU); setpix(x+3, y+9, BLAU);

  setpix(x+lang-1, y+4, BLAU); setpix(x+lang-1, y+5, BLAU); setpix(x+lang-1, y+6, BLAU); setpix(x+lang-1, y+7, BLAU);
  setpix(x+lang-2, y+3, BLAU); setpix(x+lang-2, y+4, BLAU); setpix(x+lang-2, y+5, BLAU);
  setpix(x+lang-2, y+6, BLAU); setpix(x+lang-2, y+7, BLAU); setpix(x+lang-2, y+8, BLAU);
  setpix(x+lang-3, y+2, BLAU); setpix(x+lang-3, y+3, BLAU); setpix(x+lang-3, y+4, BLAU);
  setpix(x+lang-3, y+5, BLAU); setpix(x+lang-3, y+6, BLAU); setpix(x+lang-3, y+7, BLAU);
  setpix(x+lang-3, y+8, BLAU); setpix(x+lang-3, y+9, BLAU);
}


void bbalken_offen_links ( int x, int y, int lang )
{
  memset(&VScreen[y*WIDTH+x+4],  BLAU_HELL, lang-3);                 // obere Linie
  memset(&VScreen[(y+1)*WIDTH+x+4],  BLAU_DUNKEL, lang-3);                 // obere Linie
  memset(&VScreen[(y+11)*WIDTH+x+4], BLAU_DUNKEL, lang-3);           // untere Linie
  memset(&VScreen[(y+10)*WIDTH+x+4], BLAU_HELL, lang-3);           // untere Linie
  // vordere Linie
  setpix(x, y+4, BLAU_HELL); setpix(x, y+5, BLAU_HELL);
  setpix(x, y+6, BLAU_HELL); setpix(x, y+7, BLAU_HELL);

  // hintere Linie
  setpix(x+lang, y+1, BLAU_DUNKEL); setpix(x+lang, y+2, BLAU_DUNKEL); setpix(x+lang, y+3, BLAU_DUNKEL);
  setpix(x+lang, y+4, BLAU_DUNKEL); setpix(x+lang, y+5, BLAU_DUNKEL); setpix(x+lang, y+6, BLAU_DUNKEL);
  setpix(x+lang, y+7, BLAU_DUNKEL); setpix(x+lang, y+8, BLAU_DUNKEL); setpix(x+lang, y+9, BLAU_DUNKEL);
  setpix(x+lang, y+10, BLAU_DUNKEL);


  // Schrge Linien vorne
  setpix(x+1, y+3,  BLAU_HELL); setpix(x+2, y+2,  BLAU_HELL); setpix(x+3, y+1,  BLAU_HELL);
  setpix(x+1, y+8, BLAU_DUNKEL); setpix(x+2, y+9, BLAU_DUNKEL); setpix(x+3, y+10, BLAU_DUNKEL);

  setpix(x+1, y+4, BLAU); setpix(x+1, y+5, BLAU); setpix(x+1, y+6, BLAU); setpix(x+1, y+7, BLAU);
  setpix(x+2, y+3, BLAU); setpix(x+2, y+4, BLAU); setpix(x+2, y+5, BLAU);
  setpix(x+2, y+6, BLAU); setpix(x+2, y+7, BLAU); setpix(x+2, y+8, BLAU);
  setpix(x+3, y+2, BLAU); setpix(x+3, y+3, BLAU); setpix(x+3, y+4, BLAU);
  setpix(x+3, y+5, BLAU); setpix(x+3, y+6, BLAU); setpix(x+3, y+7, BLAU);
  setpix(x+3, y+8, BLAU); setpix(x+3, y+9, BLAU);
}


void bbalken_offen_rechts ( int x, int y, int lang )
{
  memset(&VScreen[y*WIDTH+x],  BLAU_HELL, lang-3);                 // obere Linie
  memset(&VScreen[(y+1)*WIDTH+x],  BLAU_DUNKEL, lang-3);                 // obere Linie
  memset(&VScreen[(y+11)*WIDTH+x], BLAU_DUNKEL, lang-3);           // untere Linie
  memset(&VScreen[(y+10)*WIDTH+x], BLAU_HELL, lang-3);           // untere Linie
  // vordere Linie
  setpix(x, y+1, BLAU_HELL); setpix(x, y+2, BLAU_HELL); setpix(x, y+3, BLAU_HELL);
  setpix(x, y+4, BLAU_HELL); setpix(x, y+5, BLAU_HELL); setpix(x, y+6, BLAU_HELL);
  setpix(x, y+7, BLAU_HELL); setpix(x, y+8, BLAU_HELL); setpix(x, y+9, BLAU_HELL);
  setpix(x, y+10, BLAU_HELL); 

  // hintere Linie
  setpix(x+lang, y+4, BLAU_DUNKEL); setpix(x+lang, y+5, BLAU_DUNKEL);
  setpix(x+lang, y+6, BLAU_DUNKEL); setpix(x+lang, y+7, BLAU_DUNKEL);


  // Schrge Linien hinten
  setpix(x+lang-1, y+3,  BLAU_HELL); setpix(x+lang-2, y+2,  BLAU_HELL); setpix(x+lang-3, y+1,  BLAU_HELL);
  setpix(x+lang-1, y+8, BLAU_DUNKEL); setpix(x+lang-2, y+9, BLAU_DUNKEL); setpix(x+lang-3, y+10, BLAU_DUNKEL);

  setpix(x+lang-1, y+4, BLAU); setpix(x+lang-1, y+5, BLAU); setpix(x+lang-1, y+6, BLAU); setpix(x+lang-1, y+7, BLAU);
  setpix(x+lang-2, y+3, BLAU); setpix(x+lang-2, y+4, BLAU); setpix(x+lang-2, y+5, BLAU);
  setpix(x+lang-2, y+6, BLAU); setpix(x+lang-2, y+7, BLAU); setpix(x+lang-2, y+8, BLAU);
  setpix(x+lang-3, y+2, BLAU); setpix(x+lang-3, y+3, BLAU); setpix(x+lang-3, y+4, BLAU);
  setpix(x+lang-3, y+5, BLAU); setpix(x+lang-3, y+6, BLAU); setpix(x+lang-3, y+7, BLAU);
  setpix(x+lang-3, y+8, BLAU); setpix(x+lang-3, y+9, BLAU);
}





void InterFace ( void )
{
  short i=0;

  // Feind- und MannAnzahl
  gbalken(214, 10, 30); gbalken_offen_links(245, 10, 70);
  bbalken(387, 10, 30); bbalken_offen_rechts(316, 10, 70);
  // Verhaeltnis der Fabriken
  gbalken_offen(270, 24, 100);

  Iwrite(225, 14, MAnz, 100); Iwrite(224, 13, MAnz, 254);
  for(i=0; i<(MAnz*LMAX)/75; i+=2) fill_box(250+i, 12, 250+i, 19, 97);

  Iwrite(399, 14, FAnz, 110); Iwrite(398, 13, FAnz, 254);
  for(i=0; i<(FAnz*LMAX)/75; i+=2) fill_box(381-i, 12, 381-i, 19, 107);

  // Balken fuer Botschaften ( in gelb ) 
  gbalken(530, 10, 100); writestring(551, 14, "Botschaften", 100); writestring(550, 13, "Botschaften", 254);

  // Balken fuer Fabriken ( in gelb )
  gbalken(530, 100, 100); writestring(559, 104, "Fabriken", 100); writestring(558, 103, "Fabriken", 254);

  // Balken fr die Zeit
  bbalken(600, 385, 30); Iwrite(610, 388, 6-GameSpeed, 254);
}





void Balken ( int x, int y, int lang, U1 HELL, U1 DUNKEL, U1 MITTEL )
{
  memset(&VScreen[y*WIDTH+x+4],  HELL, lang-7);                 // obere Linie
  memset(&VScreen[(y+11)*WIDTH+x+4], DUNKEL, lang-7);           // untere Linie
  // vordere Linie
  setpix(x, y+4, HELL); setpix(x, y+5, HELL);
  setpix(x, y+6, HELL); setpix(x, y+7, HELL);

  // hintere Linie
  setpix(x+lang, y+4, DUNKEL); setpix(x+lang, y+5, DUNKEL);
  setpix(x+lang, y+6, DUNKEL); setpix(x+lang, y+7, DUNKEL);


  // Schrge Linien vorne
  setpix(x+1, y+3,  HELL); setpix(x+2, y+2,  HELL); setpix(x+3, y+1,  HELL);
  setpix(x+1, y+8, DUNKEL); setpix(x+2, y+9, DUNKEL); setpix(x+3, y+10, DUNKEL);

  // Schrge Linien hinten
  setpix(x+lang-1, y+3,  HELL); setpix(x+lang-2, y+2,  HELL); setpix(x+lang-3, y+1,  HELL);
  setpix(x+lang-1, y+8, DUNKEL); setpix(x+lang-2, y+9, DUNKEL); setpix(x+lang-3, y+10, DUNKEL);

  fill_box(x+4, y+1, x+lang-4, y+10, MITTEL);
  setpix(x+1, y+4, MITTEL); setpix(x+1, y+5, MITTEL); setpix(x+1, y+6, MITTEL); setpix(x+1, y+7, MITTEL);
  setpix(x+2, y+3, MITTEL); setpix(x+2, y+4, MITTEL); setpix(x+2, y+5, MITTEL);
  setpix(x+2, y+6, MITTEL); setpix(x+2, y+7, MITTEL); setpix(x+2, y+8, MITTEL);
  setpix(x+3, y+2, MITTEL); setpix(x+3, y+3, MITTEL); setpix(x+3, y+4, MITTEL);
  setpix(x+3, y+5, MITTEL); setpix(x+3, y+6, MITTEL); setpix(x+3, y+7, MITTEL);
  setpix(x+3, y+8, MITTEL); setpix(x+3, y+9, MITTEL);

  setpix(x+lang-1, y+4, MITTEL); setpix(x+lang-1, y+5, MITTEL); setpix(x+lang-1, y+6, MITTEL); setpix(x+lang-1, y+7, MITTEL);
  setpix(x+lang-2, y+3, MITTEL); setpix(x+lang-2, y+4, MITTEL); setpix(x+lang-2, y+5, MITTEL);
  setpix(x+lang-2, y+6, MITTEL); setpix(x+lang-2, y+7, MITTEL); setpix(x+lang-2, y+8, MITTEL);
  setpix(x+lang-3, y+2, MITTEL); setpix(x+lang-3, y+3, MITTEL); setpix(x+lang-3, y+4, MITTEL);
  setpix(x+lang-3, y+5, MITTEL); setpix(x+lang-3, y+6, MITTEL); setpix(x+lang-3, y+7, MITTEL);
  setpix(x+lang-3, y+8, MITTEL); setpix(x+lang-3, y+9, MITTEL);
}


void Balken_offen_links ( int x, int y, int lang, U1 HELL, U1 DUNKEL, U1 MITTEL )
{
  memset(&VScreen[y*WIDTH+x+4],  HELL, lang-3);                 // obere Linie
  memset(&VScreen[(y+1)*WIDTH+x+4],  DUNKEL, lang-3);                 // obere Linie
  memset(&VScreen[(y+11)*WIDTH+x+4], DUNKEL, lang-3);           // untere Linie
  memset(&VScreen[(y+10)*WIDTH+x+4], HELL, lang-3);           // untere Linie
  // vordere Linie
  setpix(x, y+4, HELL); setpix(x, y+5, HELL);
  setpix(x, y+6, HELL); setpix(x, y+7, HELL);

  // hintere Linie
  setpix(x+lang, y+1, DUNKEL); setpix(x+lang, y+2, DUNKEL); setpix(x+lang, y+3, DUNKEL);
  setpix(x+lang, y+4, DUNKEL); setpix(x+lang, y+5, DUNKEL); setpix(x+lang, y+6, DUNKEL);
  setpix(x+lang, y+7, DUNKEL); setpix(x+lang, y+8, DUNKEL); setpix(x+lang, y+9, DUNKEL);
  setpix(x+lang, y+10, DUNKEL); 


  // Schrge Linien vorne
  setpix(x+1, y+3,  HELL); setpix(x+2, y+2,  HELL); setpix(x+3, y+1,  HELL);
  setpix(x+1, y+8, DUNKEL); setpix(x+2, y+9, DUNKEL); setpix(x+3, y+10, DUNKEL);

  setpix(x+1, y+4, MITTEL); setpix(x+1, y+5, MITTEL); setpix(x+1, y+6, MITTEL); setpix(x+1, y+7, MITTEL);
  setpix(x+2, y+3, MITTEL); setpix(x+2, y+4, MITTEL); setpix(x+2, y+5, MITTEL);
  setpix(x+2, y+6, MITTEL); setpix(x+2, y+7, MITTEL); setpix(x+2, y+8, MITTEL);
  setpix(x+3, y+2, MITTEL); setpix(x+3, y+3, MITTEL); setpix(x+3, y+4, MITTEL);
  setpix(x+3, y+5, MITTEL); setpix(x+3, y+6, MITTEL); setpix(x+3, y+7, MITTEL);
  setpix(x+3, y+8, MITTEL); setpix(x+3, y+9, MITTEL);
}


void Balken_offen_rechts ( int x, int y, int lang, U1 HELL, U1 DUNKEL, U1 MITTEL )
{
  memset(&VScreen[y*WIDTH+x],  HELL, lang-3);                 // obere Linie
  memset(&VScreen[(y+1)*WIDTH+x],  DUNKEL, lang-3);                 // obere Linie
  memset(&VScreen[(y+11)*WIDTH+x], DUNKEL, lang-3);           // untere Linie
  memset(&VScreen[(y+10)*WIDTH+x], HELL, lang-3);           // untere Linie
  // vordere Linie
  setpix(x, y+1, HELL); setpix(x, y+2, HELL); setpix(x, y+3, HELL);
  setpix(x, y+4, HELL); setpix(x, y+5, HELL); setpix(x, y+6, HELL);
  setpix(x, y+7, HELL); setpix(x, y+8, HELL); setpix(x, y+9, HELL);
  setpix(x, y+10, HELL);

  // hintere Linie
  setpix(x+lang, y+4, DUNKEL); setpix(x+lang, y+5, DUNKEL);
  setpix(x+lang, y+6, DUNKEL); setpix(x+lang, y+7, DUNKEL);


  // Schrge Linien hinten
  setpix(x+lang-1, y+3,  HELL); setpix(x+lang-2, y+2,  HELL); setpix(x+lang-3, y+1,  HELL);
  setpix(x+lang-1, y+8, DUNKEL); setpix(x+lang-2, y+9, DUNKEL); setpix(x+lang-3, y+10, DUNKEL);

  setpix(x+lang-1, y+4, MITTEL); setpix(x+lang-1, y+5, MITTEL); setpix(x+lang-1, y+6, MITTEL); setpix(x+lang-1, y+7, MITTEL);
  setpix(x+lang-2, y+3, MITTEL); setpix(x+lang-2, y+4, MITTEL); setpix(x+lang-2, y+5, MITTEL);
  setpix(x+lang-2, y+6, MITTEL); setpix(x+lang-2, y+7, MITTEL); setpix(x+lang-2, y+8, MITTEL);
  setpix(x+lang-3, y+2, MITTEL); setpix(x+lang-3, y+3, MITTEL); setpix(x+lang-3, y+4, MITTEL);
  setpix(x+lang-3, y+5, MITTEL); setpix(x+lang-3, y+6, MITTEL); setpix(x+lang-3, y+7, MITTEL);
  setpix(x+lang-3, y+8, MITTEL); setpix(x+lang-3, y+9, MITTEL);
}

